<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Simple Chat Client</title>
</head>

<body>
  <h1>Simple Chat Client</h1>
  <ul id="messageList"></ul>
  <input type="text" id="messageInput" placeholder="Nhập tin nhắn">
  <button onclick="sendMessage()">Gửi</button>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.5.2/sockjs.min.js"></script>

  <script>
    const messageList = document.getElementById('messageList');
    const messageInput = document.getElementById('messageInput');

    const socket = new SockJS('https://admin.visedu.vn:10085/websocket');

    socket.onmessage = (event) => {
      console.log("sss", event);
      const message = event.data;
      appendMessage(message);
    };

    function appendMessage(message) {
      const li = document.createElement('li');
      li.textContent = message;
      messageList.appendChild(li);
    }

    function sendMessage() {
      const message = messageInput.value;
      if (message.trim() !== '') {
        socket.send(message);
        messageInput.value = '';
      }
    }
  </script>
</body>

</html>
